scorched3d (44+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Phil Morrell ]
  * use https and update vcs urls
  * remove .menu file now .desktop files expected
  * simplify watch file using version 4
  * add myself to uploaders in preparation
  * make debian/copyright machine-readable (DEP-5)
  * update dependency on {ttf,fonts}-dejavu
  * remove fonts-dejavu embedded copy from orig source
  * remove scorched3d-dbg in favour of automatic dgbsym
  * use Files-Excluded for uscan repacking
  * replace custom get-orig-source with uscan
  * clean Makefile.am left over after dh clean

  [ Markus Koschany ]
  * Imported Upstream version 44+dfsg.
  * Declare compliance with Debian Policy 3.9.8.
  * wrap-and-sort -sab.
  * Remove Pre-Depends: dpkg-dev because it is satisfied in every supported
    release.
  * Remove debian/source/options since xz is the default now.
  * Remove override for dh_builddeb. XZ compression is the default now.
  * Remove scorched3d.docs and do not install BUGS and NEWS.Debian anymore.
    Both files contain outdated information.
  * Drop libpng16.patch. Fixed upstream.
  * Drop 0003-remove-embedded-glew.patch.
  * Drop 0005-append-buildflags.patch. Fixed upstream.
  * Refresh 0008-wx3.0-compat.patch.
  * Update debian/copyright and exclude more cruft and non-dfsg files.
  * Add gcc-6-ftbfs.patch and fix FTBFS with GCC-6.
    Thanks to Martin Michlmayr for the report. (Closes: #811647)
  * Export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed.
  * Ensure that Scorched3D can be built twice in a row.
  * Use sensible-browser instead of hardcoding firefox. (Closes: #782624).
    Thanks to Trent W. Buck for the report.
  * Update copyright for new release.

 -- Markus Koschany <apo@debian.org>  Sat, 16 Jul 2016 04:41:26 +0200

scorched3d (43.3.d+dfsg-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS with libpng16" -- adapt to new libpng API (Closes: #809905)

 -- Tobias Frost <tobi@debian.org>  Sun, 24 Jan 2016 14:33:34 +0100

scorched3d (43.3.d+dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update to use wxWidgets 3.0 (new patch 0008-wx3.0-compat.patch).

 -- Olly Betts <olly@survex.com>  Tue, 27 May 2014 14:47:53 +1200

scorched3d (43.3.d+dfsg-1) unstable; urgency=medium

  [ Juhani Numminen ]
  * Team upload.
  * New upstream release.
  * Update debian/get-orig-source.sh:
    - Run the script in debian/rules get-orig-source target.
    - Use ‘+dfsg’ suffix instead of ‘.dfsg’.
    - Don’t exclude data/avatars in subdirectories.
    - Switch to xz compression.
  * Enhance watch file to detect all upstream versions.
  * Bump Standards-Version to 3.9.5, no changes were needed.
  * Add 0006-fix-freetype-includes.patch to fix a FTBFS (Closes: #733368).
  * Add 0007-spelling.patch to fix some spelling errors.
  * Fix Vcs-Browser to have “/gitweb”.

  [ Gonéri Le Bouder ]
  * Remove myself from Uploaders:

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Tue, 28 Jan 2014 21:08:39 +0200

scorched3d (43.3+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Stephen M. Webb ]
  * new upstream release
  * added myself as an uploader
  * refreshed debian/patches/01-openal-pkgconfig.diff
  * update to debhelper compat level 9
  * removed embedded copy of GLEW library (closes: #634843)
    - removed lintian overrides
  * added dpkg Pre-Depends to -dbg and -data packages for xz compression
  * replaced the embedded copy of DejaVuCondensedBold font with the system one

  [ Juhani Numminen ]
  * Build-Depend on libpng-dev instead of libpng12-dev (Closes: #662497).
  * Update of debian/rules to dh 9 by Stephen M. Webb eliminates "cannot find
    Makefile.in" FTBFS (Closes: #723051).
  * Set urgency to medium due to fix for release-critical bug.
  * Update standards version to 3.9.4. No changes were necessary.
  * Correct Vcs-* URLs to point to anonscm.debian.org.
  * Add missing patch metadata and unify patch style.
  * Add 0005-append-buildflags.patch to enable hardening.
  * Refer to GPL-2 instead of unversioned GPL in debian/copyright.
  * Add keywords to scorched3d.desktop file.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Mon, 21 Oct 2013 15:51:38 +0300

scorched3d (43.2a.dfsg-6.1) unstable; urgency=low

  * Non maintainer upload.
  * Fix build failure with GCC 4.7. Closes: #673718.

 -- Matthias Klose <doko@debian.org>  Tue, 22 May 2012 11:07:11 +0000

scorched3d (43.2a.dfsg-6) unstable; urgency=low

  * Team upload.
  * Fixed FTBFS due to mawk sprint limit (Closes: #650579) (Closes: #628365).
  * Use xz compression.

 -- Stephen M. Webb <stephen.webb@bregmasoft.ca>  Sun, 11 Dec 2011 21:52:37 -0500

scorched3d (43.2a.dfsg-5) unstable; urgency=low

  * Team upload.
  * Prepare for libjpeg8 transition and build-depend on libjpeg-dev instead of
    libjpeg62-dev.
  * Temporarily override lintian error on embedded GLEW library in scorched3c.
    We will fix this in a later upload.

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Tue, 19 Jul 2011 19:19:05 +0200

scorched3d (43.2a.dfsg-4) unstable; urgency=low

  * Team upload
  * Fix broken parallel builds in debian/rules

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Fri, 03 Jun 2011 22:31:10 +0200

scorched3d (43.2a.dfsg-3) unstable; urgency=low

  * Team upload
  * Switch to debhelper 8
    * Rewrite debian/rules
    * Build-depend on debhelper (>= 8)
  * Update standards version to 3.9.2. No changes were necessary.
  * List manpages that should be installed in debian/scorched3d.manpages
  * Don't install a windows "Thumbs.db" in /usr/share/games/scorched3d

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Fri, 03 Jun 2011 16:35:39 +0200

scorched3d (43.2a.dfsg-2) unstable; urgency=low

  * Don't mess with users' PATH environment variable in
    /usr/share/applications/scorched3d.desktop. Instead call
    /usr/games/scorched3d with full path.
  * Source package: fix typo in the filename of
    debian/update-avatar-icons-from-svg.sh
  * Do not install upstream CHANGELOG since it's empty anyway

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Fri, 11 Mar 2011 23:58:48 +0100

scorched3d (43.2a.dfsg-1) unstable; urgency=low

  * Re-upload to fix version string, oops!

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Mon, 07 Feb 2011 10:57:53 +0100

scorched3d (43.2a.dfsg) unstable; urgency=low

  * New upstream release
  * Refresh kfreebsd.diff

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Sun, 06 Feb 2011 22:27:40 +0100

scorched3d (43.1c.dfsg-2) unstable; urgency=low

  [ Bruno "Fuddl" Kleinert ]
  * Update copyright year in copyright file and document the origin of the
    Debian specific avatar icon set in debian/avatars[-svg]

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Thu, 29 Jul 2010 14:30:15 -0400

scorched3d (43.1c.dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #588937)
  * Update to standards version 3.9.1 without any changes
  * Refresh 01-openal-pkgconfig.diff
  * Selfmade SVG+PNG "avatar icons" to replace the non-DSFG free ones shipped by
    upstream
  * Add a script to update PNG avatar icons from SVG source avatar icons

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Wed, 28 Jul 2010 20:53:31 -0400

scorched3d (42.1dfsg-4) unstable; urgency=low

  * Lower dependency of scorched3d-data on scorched3d to Suggests. Since
    recommended packages are installed by default, this leads to a circular
    dependency. Avoid that situation.

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Fri, 20 Nov 2009 18:21:12 +0100

scorched3d (42.1dfsg-3) unstable; urgency=low

  [ Bruno "Fuddl" Kleinert ]
  * Drop code snippet into debian/rules to make parallel builds possible on SMP
    machines
  * Bump build dependency to libwxgtk2.8-dev
  * Convert source package to format 3.0 quilt
    * Drop build dependency on quilt
    * Drop build dependency on sharutils. Allows us to ship the desktop shortcut
      icon as binary scorched3d.png
  * Updated debian/copyright
    * We want the Unicode © character in there
    * Copyright is up to 2009

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Fri, 20 Nov 2009 13:53:46 +0100

scorched3d (42.1dfsg-2) unstable; urgency=low

  * Add kfreebsd.diff (Closes: #495091)
  * Add myself in uploaders
  * Bump standard version: 3.8.3
   - add a note about the use of quilt in README.Source
  * Fix the Vcs, they were broken since the git migration
  * Reuse fonts from ttf-dejavu-core 

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Wed, 26 Aug 2009 23:26:27 +0200

scorched3d (42.1dfsg-1) unstable; urgency=low

  [ Paul Wise ]
  * Drop use of dh_desktop since it no longer does anything

  [ Reinhard Tartler ]
  * prepare new upload.
  * New upstream release
  * Add patch 01-openal-pkgconfig.diff to make use of pkg-config instead of
    openal-config (Closes: #533973)
    * Port configure-al.m4 to pkg-config
  * Add README.Source which documents how the .orig.tar.gz is generated
  * Remove test.ttf from the debian patch
    * Remove note about test.ttf from README.Debian
    * Remove uudecode call from debian/rules to decode the uuencoded test.ttf
    * Upstream removed VERA-COPYRIGHT.txt, so remove it from install targets
  * Remove gcc-4.3.diff from patches, it's merged upstream
  * Bump debhelper compatibility level to 7
  * Clean automake generated build files in debian/clean
  * Run autogen.sh at build time instead of calling upstream's configure script
    * Add build dependency on automake and autoconf
  * Bump debian standards version to 3.8.2
  * Remove special CFLAGS hacks from config.status target in debian/rules
  * debian/control: Move scorched3d-dbg package to section debug
  * Don't try to install files that are no longer distributed by upstream (TODO,
    AUTHORS)
  * debian/rules: Don't rmdir (now nonexistent) directories
  * Remove autogenerated files (Makefile.am)

  [ Bruno "Fuddl" Kleinert ]
  * Add build dependency on libexpat1-dev
  * Update debian/rules:
    * Add targets patch and unpatch
    * Replace dh_clean -k by dh_prep. Thanks to lintian!
  * Update my email address in manpages and in the uploaders field

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Tue, 30 Jun 2009 17:31:40 +0200

scorched3d (41.3dfsg-1) unstable; urgency=low

  [ Bruno "Fuddl" Kleinert ]
  * New upstream release (Closes: #461816)
  * Updated gcc-4.3 patch (Closes: #417691)
    * Removed reject in src/net/NetServerTCP2Destination.cpp
    * Add missing header in src/common/LoggerI.cpp
  * Remove several empty directories. Found by lintian
  * Remove scorched3d-doc from Suggests-field of scorched3d binary package
  * Update my email address where necessary
  * Build-depend on debhelper >= 5.0.51. Found by lintian
    * We need dh_icons >= 5.0.51

 -- Bruno "Fuddl" Kleinert <fuddl@tauware.de>  Sat, 22 Mar 2008 13:37:54 +0100

scorched3d (41.2dfsg-1) unstable; urgency=low

  [ Gonéri Le Bouder ]
  [ Bruno "Fuddl" Kleinert ]
  * New upstream release (Closes: #460968)
  * Update to Standards Version 3.7.3.0. No changes were necessary

  [ Barry deFreese ]
  * Desktop file changes
    + Remove deprecated Encoding tag (Closes: #453888)
    + Remove path from exec line and extension from icon
  * Add dh_desktop and dh_icons calls in rules (Closes: #453889)

  [ Goneri Le Bouder ]
  * add gcc-4.3.diff and a build dependency on quilt (Closes: #417691)

  [ Peter De Wachter ]
  * fix watchfile (Closes: #453553)

  [ Reinhard Tartler ]
  * Review changes and upload to unstable.
  * Remove unnecessary dependency on dpkg-dev. Found by lintian.
  * Remove obsolete debian/source.lintian-overrides file. Also found by lintian.
  
 -- Reinhard Tartler <siretart@tauware.de>  Thu, 17 Jan 2008 15:13:30 +0100

scorched3d (41.1dfsg-1) unstable; urgency=low

  [ Bruno "Fuddl" Kleinert ]
  * New upstream release (Closes: #448956)
  * Policy violation by apoc-mod license fixed by upstream (It's CC-SA 3.0, now) (Closes: #442062)
  * Removed Debian specific replacement font for data/fonts/testout.ttf, because upstream removed it
    (But we still have to replace data/fonts/test.ttf!)
  * Install two new binaries: scorched3ds (server) and scorched3dc (client)
    Add a manpage for each binary
  * Removed remark about "bird sound crashes" from the BUGS file: This bug
    appears to be fixed by upstream (Closes: #382060)
  * No longer build scorched3d-doc. Upstream removed the html-documentation
    Document that change in NEWS.Debian, which is installed by the scorched3d
    binary package
  * Add lintian overrides for the source package, because they are worked
    around in debian/rules

  [ Reinhard Tartler ]
  * change priority of -dbg package to extra
  * remove autotools-dev, autoconf und automake1.9 from build-depends
  * update config.{guess,sub} with versions from 2007-07-22 and 2007-06-28.
  * add libjpeg62-dev and libpng12-dev to build depends

  [ Cyril Brulebois ]
  * Added Vcs-Svn and Vcs-Browser fields in the control file.

  [ Gerfried Fuchs ]
  * Moved Homepage: address to source part.

 -- Bruno "Fuddl" Kleinert <fuddl@gmx.de>  Tue, 27 Nov 2007 22:21:48 +0100

scorched3d (40.1d.dfsg-1) unstable; urgency=low

  [ Gonéri Le Bouder ]
  * remove the Applications category from the desktop file since
    its not an official categorie
    http://standards.freedesktop.org/menu-spec/latest/apa.html

  [ Bruno "Fuddl" Kleinert ]
  * New upstream release
  * Replace non-free fronts (Closes: #298932)
  * Removed all dpatches
    01-cleanup-configure.ac.dpatch: /usr/X11R6 is nearly empty, now
    01-fix-autogen.sh.dpatch: no need to call autogen.sh anymore
    01_HtmlHelpDialog_cpp.dpatch: documentation gets properly installed
    02_cast-fixes.dpatch: merged with upstream
    03_netserver.dpatch: merged with upstream
    04_alut-linkage.dpatch: fixed by ./configure LIBS=-lalut
    05_formatstring.dpatch: merged with upstream
    06_wx-wxT-breakage.dpatch: merged with upstream

  [ Reinhard Tartler ]
  * Make the scorched3d package binNMU safe
  * make scorched3d-doc recommending instead of depending on scorched3d

  [ Eddy Petrișor ]
  * added dependency on dpkg-dev (>= 1.13.19) because of the binNMU change
    done by Reinhard

 -- Eddy Petrișor <eddy.petrisor@gmail.com>  Sat, 23 Dec 2006 14:57:22 +0200

scorched3d (40-1) unstable; urgency=low

  * new upstream version, merging old dpatches:
    + split old 64bit support dpatch in 'cast-fixes' and 'netserver-patches'
  * added libogg-dev and libvorbis-dev to builddeps
  
  Dropping patches merged Upstream:
  * dropping 04netint patch 
  * dropping 06_strxxx.dpatch
  * dropping 10_gcc4.1.dpatch
  * dropping 07_opengl-without-context
  * dropping 08_XML-injection.
  * dropping 09_HTML-injection
  
  * Introducing -dbg package.
  * Improving README.Debian how to use the -dbg package
  * Bumped Standards Version to 3.7.2 (no changes needed)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 29 Jul 2006 13:09:44 +0200

scorched3d (39.1+cvs20050929-3) UNRELEASED; urgency=low

  [ Gonéri Le Bouder ]
  * added missing space to Homepage semi header in debian/control
  * New maintaineur: Debian Games Team (Closes: #352439)
  * Fix FTBFS with gcc4.1 (Closes: #357447), Thanks to
    Martin Michlmayr <tbm@cyrius.com>
  * fix extra-license-file warning
  * Standards-Version: 3.7.0

  [ Reinhard Tartler ]
  * add freealut-dev to build depends. (Closes: #360050)
  * remove versioned build depends on libopenal-dev. If freealut-dev is
    satisfyable, openal is recent enough as well.
  * Rebuild with newer libopenal (Closes: #358958)
  * shortcircuit openal/freealut check in configure, added as dpatch
  * as result, rerun aclocal, autoconf and automake for applying the changes
  * build depend on libgl{,u}1-mesa-dev instead of old mesa package names

  [ Eddy Petrişor ]
  * Added Romanian translation to desktop file

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 22 Apr 2006 12:24:26 +0200

scorched3d (39.1+cvs20050929-2) unstable; urgency=high

  * Urgency high due to multiple vurnerability fixes.
  * Applied many patches by courtesy of Hans de Goede:
    - fixes all known vulnerabilities: (Closes: #337403)
      See CVE-2005-3488, CVE-2005-3487, CVE-2005-3486 for details.
    - fixes compilation issues on 64bit archs. (Closes: #288578)
    - fixes running issues on 64bit archs. (Closes: #265917)
  * Fixes in desktop file. (Closes: #333888)
  * Added versioned dependency on openal. (Closes: #334574)

 -- Bartosz Fenski <fenio@debian.org>  Wed, 22 Feb 2006 09:50:25 +0100

scorched3d (39.1+cvs20050929-1) unstable; urgency=low

  * New upstream cvs snapshot. (Closes: #323898)
    - does not segfaults finally. (Closes: #295131)
    - does not contain non-free fonts anymore. (Closes: #298932)
  * Changed hints to longitle in menu file. (Closes: #312903)
  * Depends on correct WxGtk package. (Closes: #319528, #329036)
  * Patch has been adjusted to make help system work again.
  * New dependencies:
    - libsdl-mixer1.2-dev -> libopenal-dev
    - libwxgtk2.4-dev -> libwxgtk2.6-dev
  
 -- Bartosz Fenski <fenio@debian.org>  Thu, 29 Sep 2005 19:10:12 +0200

scorched3d (38.1-2) unstable; urgency=low

  * Explicitly select proper version of wx using --with-wx-config switch.
    Should fix FTBFS on s390 and unclean environments.
    
 -- Bartosz Fenski <fenio@debian.org>  Sat, 26 Feb 2005 13:32:11 +0100

scorched3d (38.1-1) unstable; urgency=low

  * New upstream version. 
  
 -- Bartosz Fenski <fenio@debian.org>  Mon, 14 Feb 2005 18:46:13 +0100

scorched3d (38-1) unstable; urgency=low

  * New upstream version. (Closes: #284921)
    - fixes handling of non-24-bit depths (Closes: #261187)
    - new release includes some additional mod which is distributed
      under the terms of the Attribution-ShareAlike 2.0 license, thus
      some changes in debian/copyright.
  * Removed fixes and some patches. They're now included by upstream.
  * Added icon and .desktop file contributed by Mantas Kriauciunas.
  * Added sharutils to Build-Depends, cause we need to uudecode one file.
  * s/fenio@o2.pl/fenio@debian.org/
  
 -- Bartosz Fenski <fenio@debian.org>  Sun,  5 Dec 2004 11:34:13 +0100

scorched3d (37.2-5) unstable; urgency=low

  * Added presubj for information about reporting bugs.
  * Added README.Debian file describing the most common problems.
  * Above should avoid most common bugreports as (Closes: #282832)

 -- Bartosz Fenski <fenio@o2.pl>  Fri, 26 Nov 2004 20:22:15 +0100

scorched3d (37.2-4) unstable; urgency=low

  * Added SDL_ticks patch from CVS. 
    Should avoid hanging up Scorched on some systems.
  * Added upstream fix which should resolve problems in single player mode.
    (thus some changes in rules file)
  * Extended menu file.
  * debian/control:
    - added scorched3d-doc to suggested packages.

 -- Bartosz Fenski <fenio@o2.pl>  Mon, 19 Jul 2004 17:00:14 +0200
    
scorched3d (37.2-3) unstable; urgency=low

  * Really rebuild in a sane environment (closes: #257464).
  * debian/control: Added Build-Conflicts: nvidia-glx. This package is giving
    me enough headaches.

 -- David Martnez Moreno <ender@debian.org>  Tue,  6 Jul 2004 12:05:33 +0200

scorched3d (37.2-2) unstable; urgency=low

  * Rebuilding in a saner environment (closes: #257464).
  * Removed period from debian/control.

 -- Bartosz Fenski <fenio@o2.pl>  Mon,  5 Jul 2004 19:19:24 +0200

scorched3d (37.2-1) unstable; urgency=low

  * Initial Release (Closes: #244750)

 -- Bartosz Fenski <fenio@o2.pl>  Mon, 30 May 2004 06:03:30 +0200
